> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /musicbrainz/places

> Get MusicBrainz place details by MBID or URL

**Price:** 1 credit

**⚠️ Common errors:** 412: Place not found



## OpenAPI

````yaml /openapi/music.json post /api/musicbrainz/places
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/musicbrainz/places:
    post:
      tags:
        - /musicbrainz
      summary: /musicbrainz/places
      description: |-
        Get MusicBrainz place details by MBID or URL

        **Price:** 1 credit

        **⚠️ Common errors:** 412: Place not found
      operationId: __api_musicbrainz_places_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MusicBrainzPlacePayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MusicBrainzPlace'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MusicBrainzPlacePayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        place:
          type: string
          minLength: 1
      type: object
      required:
        - place
    MusicBrainzPlace:
      properties:
        '@type':
          type: string
          default: MusicBrainzPlace
        id:
          type: string
        url:
          type: string
        name:
          type: string
        disambiguation:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        coordinates:
          anyOf:
            - $ref: '#/components/schemas/MusicBrainzCoordinates'
            - type: 'null'
        area:
          anyOf:
            - $ref: '#/components/schemas/MusicBrainzAreaRef'
            - type: 'null'
        life_span:
          anyOf:
            - $ref: '#/components/schemas/MusicBrainzLifeSpan'
            - type: 'null'
        aliases:
          items:
            $ref: '#/components/schemas/MusicBrainzAlias'
          type: array
          default: []
        tags:
          items:
            $ref: '#/components/schemas/MusicBrainzTag'
          type: array
          default: []
        external_links:
          items: {}
          type: array
          default: []
        relations:
          items: {}
          type: array
          default: []
      type: object
      required:
        - id
        - url
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    MusicBrainzCoordinates:
      properties:
        '@type':
          type: string
          default: MusicBrainzCoordinates
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    MusicBrainzAreaRef:
      properties:
        '@type':
          type: string
          default: MusicBrainzAreaRef
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        sort_name:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        disambiguation:
          anyOf:
            - type: string
            - type: 'null'
        iso_3166_1_codes:
          items:
            type: string
          type: array
          default: []
        iso_3166_2_codes:
          items:
            type: string
          type: array
          default: []
      type: object
    MusicBrainzLifeSpan:
      properties:
        '@type':
          type: string
          default: MusicBrainzLifeSpan
        begin:
          anyOf:
            - type: string
            - type: 'null'
        end:
          anyOf:
            - type: string
            - type: 'null'
        ended:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
    MusicBrainzAlias:
      properties:
        '@type':
          type: string
          default: MusicBrainzAlias
        name:
          anyOf:
            - type: string
            - type: 'null'
        sort_name:
          anyOf:
            - type: string
            - type: 'null'
        locale:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        primary:
          anyOf:
            - type: boolean
            - type: 'null'
        begin:
          anyOf:
            - type: string
            - type: 'null'
        end:
          anyOf:
            - type: string
            - type: 'null'
        ended:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
    MusicBrainzTag:
      properties:
        '@type':
          type: string
          default: MusicBrainzTag
        name:
          anyOf:
            - type: string
            - type: 'null'
        vote_count:
          type: integer
          default: 0
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````